Bug 781705 (perl-System-Command) - Review Request: perl-System-Command - Object for running system commands
Summary: Review Request: perl-System-Command - Object for running system commands
Keywords:
Status: CLOSED ERRATA
Alias: perl-System-Command
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/System-Co...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-14 14:31 UTC by Iain Arnell
Modified: 2012-02-12 22:48 UTC (History)
3 users (show)

Fixed In Version: perl-System-Command-1.06-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-12 22:46:25 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2012-01-14 14:31:27 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-System-Command.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-System-Command-1.06-1.fc17.src.rpm

Description:
System::Command is a class that launches external system commands and
return an object representing them, allowing to interact with them through
their STDIN, STDOUT and STDERR handles.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3677181

*rt-0.10_02

Comment 1 Parag AN(पराग) 2012-02-02 05:41:06 UTC
Review:-

+ koji build (f17) -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3754350

+ rpmlint on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ License is valid

+ source verified with upstream as (sha1sum)
112139a7fa1d0d9e2ea0f7b6295f204c1fa46b3d  System-Command-1.06.tar.gz
112139a7fa1d0d9e2ea0f7b6295f204c1fa46b3d  ../SOURCES/System-Command-1.06.tar.gz

+ Build test gave
All tests successful.
Files=10, Tests=180,  9 wallclock secs ( 0.07 usr  0.01 sys +  0.68 cusr  0.17 csys =  0.93 CPU)

+ Package perl-System-Command-1.06-1.fc17.noarch =>
Provides: perl(System::Command) = 1.06
Requires: perl >= 0:5.006 perl(Carp) perl(Cwd) perl(IO::Handle) perl(IPC::Open3) perl(List::Util) perl(POSIX) perl(constant) perl(strict) perl(warnings)

+ Follows packaging guidelines.

APPROVED.

Comment 2 Iain Arnell 2012-02-02 05:58:40 UTC
New Package SCM Request
=======================
Package Name: perl-System-Command
Short Description: Object for running system commands
Owners: iarnell
Branches: f15 f16
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2012-02-02 07:45:44 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2012-02-03 05:27:52 UTC
perl-System-Command-1.06-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-System-Command-1.06-1.fc16

Comment 5 Fedora Update System 2012-02-03 05:28:05 UTC
perl-System-Command-1.06-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-System-Command-1.06-1.fc15

Comment 6 Fedora Update System 2012-02-04 05:28:13 UTC
Package perl-System-Command-1.06-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-System-Command-1.06-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1259/perl-System-Command-1.06-1.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-02-12 22:46:25 UTC
perl-System-Command-1.06-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-02-12 22:48:13 UTC
perl-System-Command-1.06-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.